select
  an.numero
 , an.nome
 , an.dtnascimento as data_nascimento
 , an.sexo
 , pe.dtpeso as data_peso
 , pe.peso as peso
 , tipo.descricao as tipo_peso
 , (pe.dtpeso - an.dtnascimento) as idade_ao_peso_dias
 , ((pe.dtpeso - an.dtnascimento) / 30.5) as idade_ao_peso_meses
 , ((pe.dtpeso - an.dtnascimento) / 30.5 / 12) as idade_ao_peso_anos
 , pe.gmd
 , pe.gpd
from
  animal an
  join peso pe on pe.cdanimal = an.cdanimal
 left join tipopeso tipo on tipo.cdtipopeso = pe.cdtipopeso
where
--INFORMAR AQUI O PERORO DAS PESAGENS CORPORAIS. MANTER O FORMATO DO PERODO 'AAAA-MM-DD'.
  pe.dtpeso between '2010-02-01' and '2023-02-28'
order by an.numordenado